SLAT
======================

Deploy the SLAT service using docker

Requirements
------------

You need to register a client in the IdP (redirect url: https://$SLATHOST/login/iam/authorized): the client ID and secret generated by IAM are used in the role through the following variables:
- slat_iam_client_id
- slat_iam_client_secret



Role Variables
--------------

| Variable name  | Default Value | Description
| -------------- | ------------- |------------- |
| slat_port | 5001 | service port
| slat_conf_dir |  /etc/slat | configuration dir
| slat_image_name | "marica/slat:latest" | default slat image
| slat_iam_issuer | N/A | IAM url
| slat_iam_client_id | N/A | IAM client id
| slat_iam_client_secret | N/A | IAM client secret 
| slat_trusted_oidc_idp_list | [] | List of supported IdPs
| slat_log_level | 'info' | Log level
| slat_gunicorn_workers | "2" | Gunicorn workers number
| slat_mysql_image | mysql:5.7 | Mysql docker image
| slat_db_data_dir | /data/mysql | Path for db persistent storage
| slat_cmdb_url  | N/A | URL of CMDB service
| slat_mysql_root_password |  | Mysql root password |
| slat_db_name | slat | Name of the slat database
| slat_db_user | slat | Name of the slat database user
| slat_db_password | | slat database password
| slat_db_port | 3306 | slat db port
| slat_enable_https |  False  | Set to True if you want to enable SSL support
| slat_ssl_cert_generation | "self-signed" | Allowed values: "self-signed", "letsencrypt"


dependencies
------------

role: indigo-dc.docker

Example Playbook
----------------

Including an example of how to use your role (for instance, with variables passed in as parameters) is always nice for users too:

    - hosts: servers
      roles:
         - { role: slat, x: 42 } 

License
-------

Apache Licence v2

http://www.apache.org/licenses/LICENSE-2.0


Information
------------------

iotwins-infn-cloud-support@lists.cnaf.infn.it
